#ifndef __TIME_H__
#define __TIME_H__

namespace GLUtils
{
	class Time
	{
		static double sLastTime;
		static double sFrameTime;

	public:
		static void Init(); // This is needed because when loading takes a while, the first delta is huge
		static double Update();
		static double GetDeltaTimeD();
		static float GetDeltaTime();
	};
}

#endif // Close __TIME_H__